Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MemoryInputStream Class Reference

メモリ入力ストリーム More...

`#include <MemoryInputStream.h>`

Inheritance diagram for Lamp::MemoryInputStream:

List of all members.

## Public Member Functions
| MemoryInputStream (const char *buffer, int size)
| コンストラクタ
virtual | ~MemoryInputStream ()
| デストラクタ
virtual MemoryInputStream * | cloneMemoryInputStream ()
| メモリ入力ストリームの複製
virtual InputStream * | cloneInputStream ()
| 入力ストリームの複製
## Protected Member Functions
virtual bool | isEnd ()
| 終端かどうか
virtual void | readBytes (void *data, int size)
| バイトデータの読み出し
virtual int | getSize ()
| サイズの取得
virtual void | skip (int size)
| スキップ
virtual int | align (int alignSize)
| アライメントを取る
virtual int | getPosition ()
| 読み込み位置の取得
virtual void | setPosition (int position)
| 読み込み位置の設定

## Detailed Description

メモリ入力ストリーム

Definition at line 36 of file MemoryInputStream.h.

## Constructor & Destructor Documentation

Lamp::MemoryInputStream::MemoryInputStream | ( | const char * | buffer,
|  | int | size
| ) |

  | コンストラクタ Parameters:
  buffer | 読み込むバッファ。バッファの解放は行いません。
  size | バッファのサイズ
Definition at line 33 of file MemoryInputStream.cpp. Referenced by cloneMemoryInputStream().

## Member Function Documentation

int Lamp::MemoryInputStream::align | ( | int | alignSize | ) | `[protected, virtual]`

  | アライメントを取る 指定されたバイト数のアライメントまで読み飛ばします。 Parameters:
  alignSize | アライメントをとるバイト数
Returns: スキップしたバイト数 Implements Lamp::InputStream. Definition at line 73 of file MemoryInputStream.cpp. References Assert.

virtual InputStream* Lamp::MemoryInputStream::cloneInputStream | ( |  | ) | `[inline, virtual]`

| 入力ストリームの複製 Returns: 複製された入力ストリーム Implements Lamp::InputStream. Definition at line 60 of file MemoryInputStream.h. References cloneMemoryInputStream().

MemoryInputStream * Lamp::MemoryInputStream::cloneMemoryInputStream | ( |  | ) | `[virtual]`

| メモリ入力ストリームの複製 Returns: 複製されたメモリ入力ストリーム Definition at line 42 of file MemoryInputStream.cpp. References getPosition(), MemoryInputStream(), and setPosition(). Referenced by cloneInputStream().

int Lamp::MemoryInputStream::getPosition | ( |  | ) | `[protected, virtual]`

| 読み込み位置の取得 Returns: 読み込み位置 Implements Lamp::InputStream. Definition at line 83 of file MemoryInputStream.cpp. Referenced by cloneMemoryInputStream().

int Lamp::MemoryInputStream::getSize | ( |  | ) | `[protected, virtual]`

| サイズの取得 Returns: ストリーム全体のバイト数 Implements Lamp::InputStream. Definition at line 62 of file MemoryInputStream.cpp.

bool Lamp::MemoryInputStream::isEnd | ( |  | ) | `[protected, virtual]`

| 終端かどうか Returns: trueなら終端 Implements Lamp::InputStream. Definition at line 50 of file MemoryInputStream.cpp.

void Lamp::MemoryInputStream::readBytes | ( | void * | data,
|  | int | size
| ) | `[protected, virtual]`

  | バイトデータの読み出し Parameters:
  data | 読み出し先アドレス
  size | 読み出すサイズ
Implements Lamp::InputStream. Definition at line 55 of file MemoryInputStream.cpp. References Assert.

void Lamp::MemoryInputStream::setPosition | ( | int | position | ) | `[protected, virtual]`

  | 読み込み位置の設定 指定された位置に読み込み位置を変更します。 Parameters:
  position | 読み込み位置
Implements Lamp::InputStream. Definition at line 88 of file MemoryInputStream.cpp. References Assert. Referenced by cloneMemoryInputStream().

void Lamp::MemoryInputStream::skip | ( | int | size | ) | `[protected, virtual]`

  | スキップ 指定されたバイト数、読み出しをスキップします。 Parameters:
  size | スキップするバイト数
Implements Lamp::InputStream. Definition at line 67 of file MemoryInputStream.cpp. References Assert.

The documentation for this class was generated from the following files:

- MemoryInputStream.h
- MemoryInputStream.cpp